Bug 1676121 - tcmu-runner: FTBFS in Fedora rawhide/f30
Summary: tcmu-runner: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: tcmu-runner
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Maurizio Lombardi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:12 UTC by Fedora Release Engineering
Modified: 2019-08-08 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 16:43:17 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:12 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:12 UTC, Fedora Release Engineering
no flags Details
state.log (637 bytes, text/plain)
2019-02-11 22:12 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 22:12:15 UTC
tcmu-runner failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32502579


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix tcmu-runner at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
tcmu-runner will be orphaned. Before branching of Fedora 31,
tcmu-runner will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:12:17 UTC
Created attachment 1533325 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:12:18 UTC
Created attachment 1533326 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:12:19 UTC
Created attachment 1533327 [details]
state.log

Comment 5 Fedora Release Engineering 2019-06-17 20:41:02 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Maurizio Lombardi 2019-06-20 07:44:47 UTC
New pull request that updates the tcmu-runner package and fixes the build failures

https://src.fedoraproject.org/rpms/tcmu-runner/pull-request/5

Comment 7 Fedora Release Engineering 2019-08-08 16:43:17 UTC
The following builds were made: tcmu-runner-1.4.1-1.fc30


Note You need to log in before you can comment on or make changes to this bug.